Bug 145048 - Hald vs proc_net_t
Summary: Hald vs proc_net_t
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-13 22:30 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 18:22:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-01-13 22:30:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
audit(1105648208.872:0): avc:  denied  { search } for  pid=3125
exe=/usr/sbin/hald name=net dev=proc ino=-268435434
scontext=system_u:system_r:hald_t
tcontext=system_u:object_r:proc_net_t tclass=dir

audit(1105648208.872:0): avc:  denied  { read } for  pid=3125
exe=/usr/sbin/hald name=wireless dev=proc ino=-268435193
scontext=system_u:system_r:hald_t
tcontext=system_u:object_r:proc_net_t tclass=file

audit(1105648208.872:0): avc:  denied  { getattr } for  pid=3125
exe=/usr/sbin/hald path=/proc/net/wireless dev=proc ino=-268435193
scontext=system_u:system_r:hald_t
tcontext=system_u:object_r:proc_net_t tclass=file




Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.1-1

How reproducible:
Didn't try

Steps to Reproduce:

    

Additional info:

Comment 1 Daniel Walsh 2005-01-18 22:09:06 UTC
Fixed in selinux-policy-strict-1.21.2-1


Note You need to log in before you can comment on or make changes to this bug.